Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/AnnotationInjectionFilter.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/AnnotationInjectionFilter.groovy	(revision 3033)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/annotation/AnnotationInjectionFilter.groovy	(revision 3034)
@@ -7,12 +7,13 @@
 import org.txm.scripts.importer.graal.PersonalNamespaceContext
 
 /**
- * The Class AnnotationInjection.
+ * The Class AnnotationInjectionFilter.
  *
  * @author mdecorde
  *
- * inject annotation from a stand-off file into a xml-tei-txm
- * file
+ * inject annotation from a stand-off file into a xml-tei-txm file
+ * 
+ * TODO stop using this class and use XMLTXMWordPropertiesInjection
  */
 
 public class AnnotationInjectionFilter extends StaxIdentityParser {
Index: tmp/org.txm.core/src/java/org/txm/xml/xmltxm/XMLTXMWordPropertiesInjection.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/xml/xmltxm/XMLTXMWordPropertiesInjection.java	(revision 3033)
+++ tmp/org.txm.core/src/java/org/txm/xml/xmltxm/XMLTXMWordPropertiesInjection.java	(revision 3034)
@@ -44,7 +44,7 @@
 import org.txm.xml.XPathsHookActivator;
 
 /**
- * The Class AnnotationInjection.
+ * The Class XMLTXMWordPropertiesInjection.
  *
  * @author mdecorde
  * 
@@ -54,8 +54,9 @@
 public class XMLTXMWordPropertiesInjection extends XMLProcessor {
 	
 	HashMap<String, HashMap<String, String>> rules;
-	HashSet<String> nonActivatedRules = new HashSet<String>();
 	
+	HashSet<String> nonActivatedRules = new HashSet<>();
+	
 	XPathHookActivator activator;
 	
 	IdentityHook hook;
Index: tmp/org.txm.core/src/java/org/txm/importer/scripts/xmltxm/AnnotationInjection.groovy
===================================================================
--- tmp/org.txm.core/src/java/org/txm/importer/scripts/xmltxm/AnnotationInjection.groovy	(revision 3033)
+++ tmp/org.txm.core/src/java/org/txm/importer/scripts/xmltxm/AnnotationInjection.groovy	(revision 3034)
@@ -31,12 +31,7 @@
 
 import org.txm.importer.StaxIdentityParser
 import org.txm.importer.filters.*
-import org.txm.importer.PersonalNamespaceContext
-import java.io.File
-import java.io.IOException
 
-import javax.xml.stream.XMLStreamException
-
 /**
  * The Class AnnotationInjection.
  *
@@ -113,14 +108,14 @@
 		}
 	}
 	
-	private void getHeaderInfos(String containertag, boolean captureTheTag)
-	{
+	private void getHeaderInfos(String containertag, boolean captureTheTag) {
+		
 		anainputData = new BufferedInputStream(anaurl.openStream());
 		headerparser = anafactory.createXMLStreamReader(anainputData);
 		boolean start = false;
 		String localname;
-		for (int event = headerparser.next(); event != XMLStreamConstants.END_DOCUMENT; event = headerparser.next())
-		{
+		for (int event = headerparser.next(); event != XMLStreamConstants.END_DOCUMENT; event = headerparser.next()) {
+			
 			//String prefix = headerparser.getNamespaceURI();
 			if (event == XMLStreamConstants.START_ELEMENT) {
 				localname = headerparser.getLocalName();
@@ -368,6 +363,7 @@
 				writeAnaTags(wordId);
 				flagW = false
 				break;
+			
 			case "ana":
 				if (flagAna && type != null && resp != null && anaValue != null) {
 					anaValues.put(resp+":"+type, anaValue)
@@ -451,13 +447,11 @@
 		File pos2file = new File(rootDir, "/pos/", "rolandTT2-w-ana.xml");
 		
 		println("process file : " + srcfile + " with : " + pos1file);
-		def builder = new AnnotationInjection(srcfile.toURI().toURL(),
-				pos1file.toURI().toURL(), milestones);
+		def builder = new AnnotationInjection(srcfile.toURI().toURL(), pos1file.toURI().toURL(), milestones);
 		builder.transfomFile(new File(rootDir + "/injection/", "roland.xml"));
 		
 		println("process file : " + src2file + " with : " + pos1file);
-		builder = new AnnotationInjection(src2file.toURI().toURL(), pos2file.toURI().toURL(),
-				milestones);
+		builder = new AnnotationInjection(src2file.toURI().toURL(), pos2file.toURI().toURL(), milestones);
 		builder.transfomFile(rootDir + "/injection/", "roland-FINAL.xml");
 		
 		return;
Index: tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationInjector.java
===================================================================
--- tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationInjector.java	(revision 3033)
+++ tmp/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationInjector.java	(revision 3034)
@@ -241,7 +241,7 @@
 					value = "ERROR";
 				}
 				try {
-					writer.writeStartElement("form");
+					writer.writeStartElement(TXMNS, "form");
 					writer.writeCharacters(value);
 					mustChangeWordValue = true;
 				}
